tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Konstantin Kolinko <knst.koli...@gmail.com>
Subject Re: End of life for 6.0.x
Date Fri, 29 May 2015 10:19:15 GMT
(cc: Emmanuel, as he participated in related thread a year ago)

2015-05-14 16:14 GMT+03:00 Mark Thomas <markt@apache.org>:
> For some time now we have always said we will maintain three current
> Tomcat versions in parallel. As we start to think about milestone
> releases of Tomcat 9 soon (stable is unlikely to be until later next
> year due to the Java EE 8 timescales) I think now would be a good time
> to think about when to EOL 6.0.x.
>
> The other factor to keep in mind is that we have (since at least 5.5.x)
> given 12 months notice of any EOL dates.
>
> With the above in mind, what do folks think to the following EOL
> options? In all cases we announce the date as soon as we are happy with it.
>
> Option 1: Tomcat 6.0.x EOL as of 30 June 2016
> Option 2: Tomcat 6.0.x EOL as of 31 December 2016
>
> The rational for option 1 is that with a 9.0.x milestone release
> happening soon we need to EOL 6.0.x ASAP otherwise we'll end up
> potentially supporting 4 concurrent versions.
>
> For option 2, the thinking is that with the earliest date for a stable
> 9.0.x in the second half of next year, the end of next year we won't
> really be supporting 9.0.x until then (it is very unlikely that
> 9.0.x/trunk and trunk will separate before then) so the end of next year
> is a reasonable time frame to work with.
>
> I'm currently leaning towards option 2.
>

Either date is OK with me.

(Personally, our customers still have several instances of Tomcat 6
running, but the plan is to upgrade them in the following ~2-3 months.
After that I am not sure how much interest I would have in 6.0.)

Searching archives, there was a question regarding Debian Jessy in
April 2014, but I think the answer was to do not use Tomcat 6 in the
new release.

http://markmail.org/message/dh2h3z2y2y5n2f3x


The following search:
https://packages.debian.org/search?keywords=tomcat

shows that Tomcat 6 packages are present in
"squeeze (oldoldstable) "
"squeeze-lts"
"wheezy (oldstable)"

but current stable ("jessie (stable)") has only 7 and 8.

https://wiki.debian.org/DebianSqueeze
says:
"2016-02-06 : End of LTS security updates for i386 and amd64 (five
years after initial release) "

https://wiki.debian.org/LTS
says:
"The team will thus handle:
* Debian 6 “Squeeze” until February 2016
* Debian 7 “Wheezy” from February 2016 to May 2018
* Debian 8 “Jessie“ from May 2018 to April/May 2020"


So from that I think that September 2016 is OK.

Tomcat 5.5 EOL'ed on 30 September 2012.
http://tomcat.apache.org/tomcat-55-eol.html


Best regards,
Konstantin Kolinko

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message